using Heroic.Web.IoC;
using Microsoft.AspNet.Identity;
using Microsoft.Owin;
using Microsoft.Owin.Security.Cookies;
using Microsoft.Owin.Security.DataProtection;
using Owin;

namespace InventoryTraker.Web
{
	public class Startup
	{
		public void Configuration(IAppBuilder app)
		{
			IoC.Container.Inject(app.GetDataProtectionProvider());

			var authenticationOptions = new CookieAuthenticationOptions
			{
				AuthenticationType = DefaultAuthenticationTypes.ApplicationCookie,
				LoginPath = new PathString("/Authorization/Login"),
			};

			app.UseCookieAuthentication(authenticationOptions);
		}
	}
}